config/routes.rb
Rails.application.routes.draw do
  root 'setup#index'

  scope "/admin" do
    get '', to: 'setup#index', as: :setup
    get '/login', to: 'sessions#new'
    post '/login', to: 'sessions#create'
    delete 'logout', to: 'sessions#destroy'
    resources :sites
    resources :roles
    resources :users
    resources :employees
    resources :services
  end

  # For details on the DSL available within this file, see http://guides.rubyonrails.org/routing.html
  # get 'demo', controller: :report, action: :demo
  get 'report/referral/:id', controller: :pdf_reports, action: :refer
  get 'report/hhc/:id', controller: :pdf_reports, action: :hhc
  get 'report/assessments/history/:id', controller: :pdf_reports, action: :assessments_history
  get 'assessment', controller: :pdf_reports, action: :assessment
  # post 'test', controller: :test, action: :refer
  # get 'health', controller: :application, action: :health
  get 'about', controller: :application, action: :about
  get 'test', controller: :test, action: :index, as: :test

  #  vvvvvv reports routes vvvvvv
  get 'providers/filter', controller: :reports, action: :providers_filter
  get 'hospital/filter', controller: :reports, action: :hospital_filter_by_type
  get 'reports', controller: :reports, action: :index
  get 'reports/site/referral_patients', controller: :reports, action: :site_referral_patients
  get 'reports/site/referral_patients/details', controller: :reports, action: :site_referral_patients_details
  get 'reports/admin/referral_patients', controller: :reports, action: :admin_referral_patients
  get 'reports/admin/referral_patients/details', controller: :reports, action: :admin_referral_patients_details
  get 'reports/site/assessment_patients', controller: :reports, action: :site_assessment_patients
  get 'reports/site/assessment_patients/details', controller: :reports, action: :site_assessment_patients_details
  get 'reports/admin/assessment_patients', controller: :reports, action: :admin_assessment_patients
  get 'reports/admin/assessment_patients/details', controller: :reports, action: :admin_assessment_patients_details
  #  ^^^^^^ reports routes ^^^^^^
end

app/views/shared/_navigation_bar.html.erb
<header class="headVisit">
  <div class="headVisit-contentLeft">
    <%= link_to reports_site_referral_patients_path(
      init: true,
      token:  @token
    ), data: { tooltip: t('report.referral_patients_label'), position: "bottom left" }, class: active_navigation_bar(action: '/reports/site/referral_patients') do %>
      <i class="icons">
        <i class="inverted file outline icon "></i>
        <i class="bottom right corner inverted reply icon"></i>
      </i>
        <span class="icon-label"><%= t('report.referral_patients_label') %></span>
    <% end %>
    <%= link_to reports_site_assessment_patients_path(
      init: true,
      token:  @token
    ), data: { tooltip: t('report.assessment_patients_label'), position: "bottom left" }, class: active_navigation_bar(action: '/reports/site/assessment_patients') do %>
      <i class="icons">
        <i class="file outline icon"></i>
        <i class="bottom right corner inverted home icon"></i>
      </i>
        <span class="icon-label"><%= t('report.assessment_patients_label') %></span>
    <% end %>
    <%if is_admin_reports %>
      <%= link_to reports_admin_referral_patients_path(
        init: true,
        token:  @token
      ), data: { tooltip: t('report.admin_referral_patients_label'), position: "bottom left" }, class: active_navigation_bar(action: '/reports/admin/referral_patients') do %>
        <i class="icons">
          <i class="file outline icon"></i>
          <i class="bottom right corner inverted reply icon"></i>
          <i class="bottom left corner inverted user icon"></i>
        </i>
      <span class="icon-label"><%= t('report.admin_referral_patients_label') %></span>
      <% end %>
    <% end %>
    <%if is_admin_reports %>
      <%= link_to reports_admin_assessment_patients_path(
        init: true,
        token:  @token
      ), data: { tooltip: t('report.admin_assessment_patients_label'), position: "bottom left" }, class: active_navigation_bar(action: '/reports/admin/assessment_patients') do %>
        <i class="icons">
          <i class="file outline icon"></i>
          <i class="bottom right corner inverted home icon"></i>
          <i class="bottom left corner inverted user icon"></i>
        </i>
      <span class="icon-label"><%= t('report.admin_referral_patients_label') %></span>
      <% end %>
    <% end %>
  </div>
  <div class="headVisit-toggle">
    <a id="toggle_navbar" class="btnLogout">
      <i class="bars icon"></i>
    </a>
  </div>
  <div class="headVisit-contentCenter">
    <%= link_to reports_path(token:  @token) do %>
      <div class="headVisit-title">
        <span class="headVisit-logo">
          <div class="headVisit-logo__title"><%= t('report.title_report_label') %></div>
        </span>
        <span class="headVisit-hospital"><%=  current_site.label %></span>
      </div>
    <% end %>
  </div>
  
  <div class="headVisit-contentRight">
    <div class="headVisit-user">
      <i class="user icon"></i>
      <%= @user_info.uuid %>
    </div>
  </div>
</header> 